Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class PropertyExecutor

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.AbstractExecutor
            |
            +--org.apache.commons.jexl.util.PropertyExecutor

Direct Known Subclasses:
  BooleanPropertyExecutor

public class PropertyExecutor
extends AbstractExecutor

Returned the value of object property when executed.

Since:
  1.0

Field Summary
`protected Introspector` | `introspector` The JEXL introspector used.
`protected String` | `methodUsed` The method used.

Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor
`method, rlog`

Constructor Summary
`PropertyExecutor(Log r, Introspector ispctr, Class clazz, String property)` Constructor.

Method Summary
`protected void` | `discover(Class clazz, String property)` Locate the getter method for this property.
`Object` | `execute(Object o)` {@inheritDoc}

Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### introspector

    protected Introspector introspector

  The JEXL introspector used.

### methodUsed

    protected String methodUsed

  The method used.

Constructor Detail

### PropertyExecutor

    public PropertyExecutor(Log r,
                            Introspector ispctr,
                            Class clazz,
                            String property)

  Constructor.
  Parameters:
    `r` - The log for this property executor instance.
    `ispctr` - The JEXL introspector.
    `clazz` - The class being examined.
    `property` - The property being addressed.

Method Detail

### discover

    protected void discover(Class clazz,
                            String property)

  Locate the getter method for this property.
  Parameters:
    `clazz` - The class being analyzed.
    `property` - Name of the property.

### execute

    public Object execute(Object o)
                   throws IllegalAccessException,
                          InvocationTargetException

  {@inheritDoc}
  Overrides:
    `execute` in class `AbstractExecutor`
  Following copied from class: `org.apache.commons.jexl.util.AbstractExecutor`
  Parameters:
    `o` - The owner.
  Returns:
    The return value.
  Throws:
    `IllegalAccessException` - Method is inaccessible.
    `InvocationTargetException` - Method body throws an exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.